Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033652
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 09. Financial managementmajoralways2016-08-04 08:452016-08-26 13:34
ReporterdmiguelezView Statuspublic 
Assigned Todmiguelez 
PriorityurgentResolutionfixedFixed in Version3.0PR16Q2.2
StatusclosedFix in branchFixed in SCM revisiona4f023867f6b
ProjectionnoneETAnoneTarget Version3.0PR16Q2.2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2016-02-16
Regression introduced in release3.0PR16Q2
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/5435ecfe6c1f [^]
Triggers an Emergency PackNo
Summary

0033652: Performance problems in Postgresql 9.3 when invoking view from query

DescriptionPerformance problems in Postgresql 9.3 when invoking view from query.

If this view is invoked from a Query in an environment with large volumes of data it can create performance problems in Postgresql 9.3 due to the Union in the view.
Steps To ReproduceIn an environment with large volumes of data, try to Post a Document (an Invoice for example). It takes a significant amount of time to post it.
Proposed SolutionMerge the View into one query removing the view.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0033620 closeddmiguelez Performance problems in Postgresql 9.3 when invoking view from query 

-  Notes
(0088900)
hgbot (developer)
2016-08-08 15:05

Repository: erp/backports/3.0PR16Q2.2
Changeset: a4f023867f6be92409629efcda8701fe3025763c
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Fri Aug 05 11:30:23 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q2.2/rev/a4f023867f6be92409629efcda8701fe3025763c [^]

Fixes issue 33652: Removes UNION ALL from view and merges it into one sentece

---
M src-db/database/model/views/C_INVOICETAX_CASHVAT_V.xml
---
(0088901)
aferraz (developer)
2016-08-08 15:06

Code review OK
(0088922)
hgbot (developer)
2016-08-09 11:34

Repository: erp/backports/3.0PR16Q2.2
Changeset: e850e5212bc64cc888898628fed4aea6ca350e41
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Aug 09 11:30:20 2016 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR16Q2.2/rev/e850e5212bc64cc888898628fed4aea6ca350e41 [^]

Related to issue 33652: Remove parenthesis

---
M src-db/database/model/views/C_INVOICETAX_CASHVAT_V.xml
---
(0089452)
hgbot (developer)
2016-08-26 13:20

Repository: erp/devel/pi
Changeset: a4f023867f6be92409629efcda8701fe3025763c
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Fri Aug 05 11:30:23 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/a4f023867f6be92409629efcda8701fe3025763c [^]

Fixes issue 33652: Removes UNION ALL from view and merges it into one sentece

---
M src-db/database/model/views/C_INVOICETAX_CASHVAT_V.xml
---
(0089453)
hgbot (developer)
2016-08-26 13:20

Repository: erp/devel/pi
Changeset: e850e5212bc64cc888898628fed4aea6ca350e41
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Aug 09 11:30:20 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e850e5212bc64cc888898628fed4aea6ca350e41 [^]

Related to issue 33652: Remove parenthesis

---
M src-db/database/model/views/C_INVOICETAX_CASHVAT_V.xml
---
(0089459)
priyam (administrator)
2016-08-26 13:34

Issues updated as int-promote updated pi with the tag changes of release 16Q2.2 before we merge the tag from main to pi. So the code hg-to-issues plugin updated the issues.

So closing the issue again

- Issue History
Date Modified Username Field Change
2016-08-08 14:35 aferraz Type defect => backport
2016-08-08 14:35 aferraz Target Version => 3.0PR16Q2.2
2016-08-08 15:05 hgbot Checkin
2016-08-08 15:05 hgbot Note Added: 0088900
2016-08-08 15:05 hgbot Status scheduled => resolved
2016-08-08 15:05 hgbot Resolution open => fixed
2016-08-08 15:05 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR16Q2.2/rev/a4f023867f6be92409629efcda8701fe3025763c [^]
2016-08-08 15:06 aferraz Review Assigned To => aferraz
2016-08-08 15:06 aferraz Note Added: 0088901
2016-08-08 15:06 aferraz Status resolved => closed
2016-08-08 15:06 aferraz Fixed in Version => 3.0PR16Q2.2
2016-08-09 11:34 hgbot Checkin
2016-08-09 11:34 hgbot Note Added: 0088922
2016-08-26 13:20 hgbot Checkin
2016-08-26 13:20 hgbot Note Added: 0089452
2016-08-26 13:20 hgbot Status closed => resolved
2016-08-26 13:20 hgbot Fixed in SCM revision http://code.openbravo.com/erp/backports/3.0PR16Q2.2/rev/a4f023867f6be92409629efcda8701fe3025763c [^] => http://code.openbravo.com/erp/devel/pi/rev/a4f023867f6be92409629efcda8701fe3025763c [^]
2016-08-26 13:20 hgbot Checkin
2016-08-26 13:20 hgbot Note Added: 0089453
2016-08-26 13:34 priyam Note Added: 0089459
2016-08-26 13:34 priyam Status resolved => closed
2017-01-04 11:19 jorge-garcia Relationship added has duplicate 0034815
2017-01-04 11:20 jorge-garcia Relationship deleted has duplicate 0034815


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker